{
  "name": "@nikil.rao/audiocap",
  "version": "0.0.0-development",
  "description": "Audiocap Application",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/nikil.rao/audiocap"
  },
  "author": "Nikil Rao",
  "devDependencies": {
    "@semantic-release/changelog": "^5.0.1",
    "@semantic-release/commit-analyzer": "^8.0.1",
    "@semantic-release/exec": "^5.0.0",
    "@semantic-release/gitlab": "^6.1.0",
    "semantic-release": "^17.2.1"
  },
  "release": {
    "branches": [
      "master"
    ],
    "plugins": [
      [
        "@semantic-release/commit-analyzer",
        {
          "preset": "angular",
          "releaseRules": [
            {
              "type": "docs",
              "scope": "README",
              "release": "patch"
            },
            {
              "type": "refactor",
              "release": "patch"
            },
            {
              "scope": "no-release",
              "release": false
            },
            {
              "type": "breaking",
              "release": "major"
            },
            {
              "type": "Resolve \"feature*",
              "release": "minor"
            }
          ]
        }
      ],
      "@semantic-release/release-notes-generator",
      [
        "@semantic-release/changelog",
        {
          "changelogFile": "CHANGELOG.md"
        }
      ],
      [
        "@semantic-release/exec",
        {
          "verifyReleaseCmd": "echo v${nextRelease.version} > VERSION.txt"
        }
      ],
      [
        "@semantic-release/gitlab",
        {
          "assets": [
            {
              "path": "CHANGELOG.md",
              "label": "Changelog"
            },
            {
              "path": "package.json",
              "label": "JSON Package"
            },
            {
              "path": "build/audiocap*"
            }
          ]
        }
      ]
    ]
  }
}
